Bug 73471 - rpm-4.1-1.06.7x fails to produce libelf in RH 7.x series
rpm-4.1-1.06.7x fails to produce libelf in RH 7.x series
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-04 22:13 EDT by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-04 22:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-09-04 22:13:42 EDT
From the 'people.redhat.com testing series, bugzillared per JBJ request:

back on a 7.3 box ...
>
> whatprovides libelf, and should I nodep it?

Sigh, rpm is gonna have to provide it.

Hmmm, rebuilding from src.rpm, type make install, should install
a libelf-0.8.2.

> [herrold@oldnews dl]$ sudo rpm -e kdeadmin rpmfind rpm2html
> [herrold@oldnews dl]$ sudo rpm -Uvh
> /home/herrold/redhat/RPMS/i386/rpm-python-4.1-1.06.7x.i386.rpm
> /home/herrold/redhat/RPMS/i386/rpm-build-4.1-1.06.7x.i386.rpm
> /home/herrold/redhat/RPMS/i386/rpm-4.1-1.06.7x.i386.rpm
> /home/herrold/redhat/RPMS/i386/popt-1.7-1.06.7x.i386.rpm
> error: failed dependencies:
>         libelf >= 0.8.2 is needed by rpm-4.1-1.06.7x
> [herrold@oldnews dl]$ locate libelf
> /home/herrold/redhat/BUILD/rpm-4.1/libelf
> /home/herrold/redhat/BUILD/rpm-4.1/libelf/po
>

Bugzilla please, to keep me hoest :-)
Comment 1 Jeff Johnson 2002-09-17 12:12:15 EDT
No, libelf is buried in librpmdb for legacy
platforms.

What needs doing is to remove the Requires: libelf >= 0.8.2
from the specfile when building on legacy platforms.

Note You need to log in before you can comment on or make changes to this bug.